hpp-python: pyhpp::pinocchio Namespace Reference

hpp-python 9.0.2 python bindings for HPP, based on boost python

Loading...
Searching...
No Matches
Namespaces | Classes | Typedefs | Functions | Variables
pyhpp::pinocchio Namespace Reference

## Namespaces
namespace | urdf

## Classes
struct | Device
struct | DeviceWrapperConverter
struct | LgERWrapper
struct | LgEWrapper
struct | LgSWrapper

## Typedefs
typedef hpp::pinocchio::DevicePtr_t | DevicePtr_t
typedef hpp::pinocchio::GripperPtr_t | GripperPtr_t
typedef hpp::pinocchio::Gripper | Gripper
typedef hpp::pinocchio::FrameIndex | FrameIndex
typedef hpp::pinocchio::SE3 | SE3
typedef hpp::pinocchio::Frame | Frame
typedef hpp::pinocchio::JointPtr_t | JointPtr_t
typedef hpp::pinocchio::Model | Model
typedef hpp::pinocchio::Data | Data
typedef hpp::pinocchio::ModelPtr_t | ModelPtr_t
typedef hpp::pinocchio::GeomData | GeomData
typedef hpp::pinocchio::LiegroupSpacePtr_t | LiegroupSpacePtr_t
typedef hpp::pinocchio::GeomModel | GeomModel
typedef hpp::pinocchio::Configuration_t | Configuration_t
typedef hpp::pinocchio::ConfigurationIn_t | ConfigurationIn_t
typedef hpp::pinocchio::JointIndex | JointIndex
typedef hpp::pinocchio::size_type | size_type
typedef hpp::pinocchio::Transform3s | Transform3s
typedef hpp::pinocchio::Computation_t | Computation_t
typedef hpp::pinocchio::value_type | value_type

## Functions
void | exposeModel ()
void | exposeDevice ()
void | exposeGripper ()
void | exposeLiegroup ()
| BOOST_PYTHON_MEMBER_FUNCTION_OVERLOADS (getFrameId_overload, Model::getFrameId, 1, 2) BOOST_PYTHON_MEMBER_FUNCTION_OVERLOADS(existFrame_overload
| BOOST_PYTHON_MEMBER_FUNCTION_OVERLOADS (addJointFrame_overload, Model::addJointFrame, 1, 2) bool Device_currentConfiguration(Device &d
Transform3s | getObjectPositionInJoint (const GripperPtr_t &gripper)
void | register_device_converters ()

## Variables
const Configuration_t & | c

## Typedef Documentation

## ◆ Computation_t

typedef hpp::pinocchio::Computation_t pyhpp::pinocchio::Computation_t

## ◆ Configuration_t

typedef hpp::pinocchio::Configuration_t pyhpp::pinocchio::Configuration_t

## ◆ ConfigurationIn_t

typedef hpp::pinocchio::ConfigurationIn_t pyhpp::pinocchio::ConfigurationIn_t

## ◆ Data

typedef hpp::pinocchio::Data pyhpp::pinocchio::Data

## ◆ DevicePtr_t

typedef hpp::pinocchio::DevicePtr_t pyhpp::pinocchio::DevicePtr_t

## ◆ Frame

typedef hpp::pinocchio::Frame pyhpp::pinocchio::Frame

## ◆ FrameIndex

typedef hpp::pinocchio::FrameIndex pyhpp::pinocchio::FrameIndex

## ◆ GeomData

typedef hpp::pinocchio::GeomData pyhpp::pinocchio::GeomData

## ◆ GeomModel

typedef hpp::pinocchio::GeomModel pyhpp::pinocchio::GeomModel

## ◆ Gripper

typedef hpp::pinocchio::Gripper pyhpp::pinocchio::Gripper

## ◆ GripperPtr_t

typedef hpp::pinocchio::GripperPtr_t pyhpp::pinocchio::GripperPtr_t

## ◆ JointIndex

typedef hpp::pinocchio::JointIndex pyhpp::pinocchio::JointIndex

## ◆ JointPtr_t

typedef hpp::pinocchio::JointPtr_t pyhpp::pinocchio::JointPtr_t

## ◆ LiegroupSpacePtr_t

typedef hpp::pinocchio::LiegroupSpacePtr_t pyhpp::pinocchio::LiegroupSpacePtr_t

## ◆ Model

typedef hpp::pinocchio::Model pyhpp::pinocchio::Model

## ◆ ModelPtr_t

typedef hpp::pinocchio::ModelPtr_t pyhpp::pinocchio::ModelPtr_t

## ◆ SE3

typedef hpp::pinocchio::SE3 pyhpp::pinocchio::SE3

## ◆ size_type

typedef hpp::pinocchio::size_type pyhpp::pinocchio::size_type

## ◆ Transform3s

typedef hpp::pinocchio::Transform3s pyhpp::pinocchio::Transform3s

## ◆ value_type

typedef hpp::pinocchio::value_type pyhpp::pinocchio::value_type

## Function Documentation

## ◆ BOOST_PYTHON_MEMBER_FUNCTION_OVERLOADS() [1/2]

pyhpp::pinocchio::BOOST_PYTHON_MEMBER_FUNCTION_OVERLOADS | ( | addJointFrame_overload | ,
|  | Model::addJointFrame | ,
|  | 1 | ,
|  | 2 |
| ) |  | &

## ◆ BOOST_PYTHON_MEMBER_FUNCTION_OVERLOADS() [2/2]

pyhpp::pinocchio::BOOST_PYTHON_MEMBER_FUNCTION_OVERLOADS | ( | getFrameId_overload | ,
|  | Model::getFrameId | ,
|  | 1 | ,
|  | 2 |
| ) |  |

## ◆ exposeDevice()

void pyhpp::pinocchio::exposeDevice | ( |  | ) |

## ◆ exposeGripper()

void pyhpp::pinocchio::exposeGripper | ( |  | ) |

## ◆ exposeLiegroup()

void pyhpp::pinocchio::exposeLiegroup | ( |  | ) |

## ◆ exposeModel()

void pyhpp::pinocchio::exposeModel | ( |  | ) |

## ◆ getObjectPositionInJoint()

Transform3s pyhpp::pinocchio::getObjectPositionInJoint | ( | const GripperPtr_t & | gripper | ) |

## ◆ register_device_converters()

void pyhpp::pinocchio::register_device_converters | ( |  | ) |

## Variable Documentation

## ◆ c

const Configuration_t& pyhpp::pinocchio::c

Initial value:
{
return d.currentConfiguration(c)